import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTextField;
import org.jdesktop.layout.GroupLayout;

public class GroupLayoutDemo1 {
    
    public static void main(String [] args) {
        // die Komponenten
        JLabel label1 = new JLabel("Zeile 1");
        JLabel label2 = new JLabel("Zeile 2");
        JButton button1 = new JButton("Schaltflche 1");
        JTextField textfield1 = new JTextField("Textfeld 1");
        // der Container
        JPanel container = new JPanel();
        // LayoutManager instantiieren und setzen
        GroupLayout layout = new GroupLayout(container);
        container.setLayout(layout);
        // GroupLayout soll fr geeignete Zwischenrume sorgen
        layout.setAutocreateGaps(true);
        layout.setAutocreateContainerGaps(true);
        // die horizontale Gruppe
        GroupLayout.SequentialGroup horizontal = layout.createSequentialGroup();
        horizontal.add(layout.createParallelGroup().
                add(label1).add(label2));
        horizontal.add(layout.createParallelGroup().
                add(button1).add(textfield1));
        layout.setHorizontalGroup(horizontal);
        // die vertikale Gruppe
        GroupLayout.SequentialGroup vertical = layout.createSequentialGroup();
        vertical.add(layout.createParallelGroup(GroupLayout.BASELINE).
                add(label1).add(button1));
        vertical.add(layout.createParallelGroup(GroupLayout.BASELINE).
                add(label2).add(textfield1));
        layout.setVerticalGroup(vertical);
        // anzeigen
        JFrame f = new JFrame("GroupLayoutDemo1");
        f.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        f.setContentPane(container);
        f.pack();
        f.setVisible(true);
    }
    
}
