package grouplayout;

import javax.swing.GroupLayout;
import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTextField;

public class GroupLayoutDemo2 {
    
    public static void main(String [] args) {
        // die Komponenten
        JLabel label1 = new JLabel("Zeile 1");
        JLabel label2 = new JLabel("Zeile 2");
        JButton button1 = new JButton("Schaltflche 1");
        JTextField textfield1 = new JTextField("Textfeld 1");
        // der Container
        JPanel container = new JPanel();
        // LayoutManager instantiieren und setzen
        GroupLayout layout = new GroupLayout(container);
        container.setLayout(layout);
        // GroupLayout soll fr geeignete Zwischenrume sorgen
        layout.setAutoCreateGaps(true);
        layout.setAutoCreateContainerGaps(true);
        // die horizontale Gruppe
        GroupLayout.SequentialGroup horizontal = layout.createSequentialGroup();
        horizontal.addGroup(layout.createParallelGroup().
                addComponent(label1).addComponent(label2));
        horizontal.addGroup(layout.createParallelGroup().
                addComponent(button1).addComponent(textfield1));
        layout.setHorizontalGroup(horizontal);
        // die vertikale Gruppe
        GroupLayout.SequentialGroup vertical = layout.createSequentialGroup();
        vertical.addGroup(layout.createParallelGroup(GroupLayout.Alignment.BASELINE).
                addComponent(label1).addComponent(button1));
        vertical.addGroup(layout.createParallelGroup(GroupLayout.Alignment.BASELINE).
                addComponent(label2).addComponent(textfield1));
        layout.setVerticalGroup(vertical);
        // anzeigen
        JFrame f = new JFrame("GroupLayoutDemo1");
        f.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        f.setContentPane(container);
        f.pack();
        f.setVisible(true);
    }
}
